Bug 331841 - Regression: Requires glib2-devel should not have been removed from arts-devel Requires
Regression: Requires glib2-devel should not have been removed from arts-devel...
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-10-15 03:34 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-15 08:16:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-10-15 03:34:53 EDT
I hit this when trying to rebuild allegro:

arts-devel used to Requires: glib2-devel, now it no longer doesn't, but
artsc-config still wants it:

[hans@localhost ~]$ artsc-config --libs
-lartsc -lpthread -lgmodule-2.0 -ldl -lgthread-2.0 -lrt -lglib-2.0
[hans@localhost ~]$ artsc-config --cflags
-pthread -I/usr/include/kde/artsc -I/usr/include/glib-2.0
[hans@localhost ~]$

This causes the ./configure from allegro to no longer detect arts (and if it did
detect it, building would probably fail) :
configure:7930: checking for arts_init
configure:7953: gcc -o conftest -pthread -I/usr/include/kde/artsc -I/usr/includ
/usr/bin/ld: cannot find -lgmodule-2.0

I'll work around this for now by BuildRequiring glib2-devel from allegro.spec,
but others will get hurt by this too, so please fix this.
Comment 1 Rex Dieter 2007-10-15 08:16:21 EDT
Doh, fixed.

* Mon Oct 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 8:1.5.8-3
- -devel: +Requires: glib2-deel (#331841)
Comment 2 Rex Dieter 2007-10-15 08:16:35 EDT

Note You need to log in before you can comment on or make changes to this bug.